@echo off
rem MSVCENGMATOPTS.BAT
rem
rem    Compile and link options used for building standalone engine or MAT programs
rem    with Microsoft Visual C++ compiler
rem
rem    $Revision: 1.7 $  $Date: 1997/06/30 14:40:47 $
rem
rem ********************************************************************
rem General parameters
rem ********************************************************************
set MATLAB=%MATLAB%
set PATH=%MSDevDir%\BIN;%PATH%
set INCLUDE=%MSDevDir%\INCLUDE;%INCLUDE%
set LIB=%MSDevDir%\LIB;%LIB%

rem ********************************************************************
rem Compiler parameters
rem ********************************************************************
set COMPILER=cl
set OPTIMFLAGS=-O2
set DEBUGFLAGS=-Zi
set COMPFLAGS=-c -Zp8 -G5 -W3 -nologo 

rem ********************************************************************
rem Library creation command
rem ********************************************************************
set PRELINK_CMDS=lib /def:"%MATLAB%\extern\include\libmx.def" /machine:ix86 /OUT:%LIB_NAME%1.lib /NOLOGO
set PRELINK_CMDS=%PRELINK_CMDS%;lib /def:"%MATLAB%\extern\include\libeng.def" /machine:ix86 /OUT:%LIB_NAME%2.lib /NOLOGO
set PRELINK_CMDS=%PRELINK_CMDS%;lib /def:"%MATLAB%\extern\include\libmat.def" /machine:ix86 /OUT:%LIB_NAME%3.lib /NOLOGO
set PRELINK_DLLS=lib /def:"%MATLAB%\extern\include\%DLL_NAME%.def" /machine:ix86 /OUT:%DLL_NAME%.lib	/NOLOGO

rem ********************************************************************
rem Linker parameters
rem ********************************************************************
set LINKER=link -DLL
rem added -DLL 
set LINKFLAGS= kernel32.lib user32.lib gdi32.lib %LIB_NAME%1.lib  %LIB_NAME%2.lib %LIB_NAME%3.lib /implib:%LIB_NAME%l.lib /nologo
set LINKOPTIMFLAGS=
set LINKDEBUGFLAGS=/debug
set LINK_FILE=
set LINK_LIB=
set NAME_OUTPUT=/out:%MEX_NAME%.dll

rem ********************************************************************
rem Resource compiler parameters
rem ********************************************************************
set RC_COMPILER=rc /fo mexversion.res
set RC_LINKER= 
